Skip to main content
POST
/
datagraph
/
schemas
/
validate
Validate a datagraph schema and analyse the relevance of its joins
curl --request POST \
  --url https://api.reelevant.com/v2/datasources/datagraph/schemas/validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "schema": "<unknown>"
}
'
{
  "status": "success",
  "program": "<string>",
  "version": "<string>",
  "datetime": "<string>",
  "message": "<string>",
  "data": {
    "validation": {
      "success": "false",
      "error": {
        "issues": [
          {
            "message": "<string>",
            "path": [
              "<string>"
            ]
          }
        ],
        "name": "<string>",
        "message": "<string>",
        "stack": "<string>"
      }
    },
    "relations": [
      {
        "fromDatasourceId": "<string>",
        "fromTable": "<string>",
        "fromColumn": "<string>",
        "fromDistinctCount": 123,
        "toDatasourceId": "<string>",
        "toTable": "<string>",
        "toColumn": "<string>",
        "toDistinctCount": 123,
        "matchCount": 123,
        "matchPercentage": 123,
        "error": "<string>"
      }
    ]
  },
  "code": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
schema
any | null
required

Can be any value

Response

200 - application/json

Ok

status
enum<string>
required
Available options:
success
program
string
required
version
string
required
datetime
string
required
message
string
required
data
object
required
code
number